Subject: Re: [PATCH v3 0/9] repack: introduce `--write-midx`

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Sep 2021 21:24:43 -0700

Taylor Blau <[email-masked]> writes:

> Here is another small reroll of my series to implement the final component of
> multi-pack reachability bitamps, which is to be able to write them from `git
> repack`.
>
> This version incorporates feedback from Jonathan Tan and others at Google who
> graciously provided review. A range-diff is included below, but the major
> changes are:
>
>   - A comment to explain the relationship between 'ctx->m' and 'ctx->to_include'
>     in midx.c:add_pack_to_midx().
>
>   - A comment to explain the meaning of write_midx_file_only().
>
>   - Clean-up of stray hunks, a missing strbuf_release().
>
>   - Replacing the name `existing_packs` with `existing_nonkept_packs` to
>     emphasize the relationship between it and the similarly-named
>     `existing_kept_packs`.
>
> Instead of depending on tb/multi-pack-bitmaps, this series now depends on the
> tip of master.

... as the topic already graduated to 'master' ;-)

But applying them on the same base as the previous round and merging
the result to 'master', and applying them on 'master', will give us
identical trees.

Will replace; thanks.